dbXML API

## com.dbxml.db.common.fulltext
Class FullTextQuery

    java.lang.Object
      com.dbxml.db.common.query.QueryBase
          com.dbxml.db.common.fulltext.FullTextQuery

All Implemented Interfaces:
  Query

public final class FullTextQuery
extends QueryBase

FullTextQuery

Field Summary

Fields inherited from interface com.dbxml.db.core.query.Query
`NSURI, PREFIX`

Constructor Summary
`FullTextQuery(Collection context, java.lang.String query, NamespaceMap nsMap, Key[] keys)`

Method Summary
`void` `compileQuery()`
`ResultSet` `execute(Transaction tx)` execute actually Executes the query and returns the resulting ResultSet.
`java.lang.String` `getQueryStyle()` getQueryStyle returns the QueryStyle (ex: XPath) for this Query instance.

Methods inherited from class com.dbxml.db.common.query.QueryBase
`getKeySet, getNamespaceMap, getQueryContext, getQueryString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullTextQuery

    public FullTextQuery(Collection context,
                         java.lang.String query,
                         NamespaceMap nsMap,
                         Key[] keys)
                  throws QueryException

Method Detail

### compileQuery

    public void compileQuery()
                      throws CompilationException

  Specified by:
    `compileQuery` in class `QueryBase`
  Throws:
    `CompilationException`

### getQueryStyle

    public java.lang.String getQueryStyle()

  Description copied from interface: `Query`
  getQueryStyle returns the QueryStyle (ex: XPath) for this Query instance.

  Returns:
    The Query style

### execute

    public ResultSet execute(Transaction tx)
                      throws QueryException

  Description copied from interface: `Query`
  execute actually Executes the query and returns the resulting ResultSet.

  Parameters:
    `tx` - The controlling Transaction
  Returns:
    The ResultSet
  Throws:
    `QueryException`

dbXML API

Copyright (c) 2004 The dbXML Group